CVC4::expr::pickle::Pickler Class Reference

`#include <pickler.h>`

Inheritance diagram for CVC4::expr::pickle::Pickler:
[legend]

## Public Member Functions

| Pickler (ExprManager *em)
| ~Pickler ()
void | toPickle (Expr e, Pickle &p) throw (PicklingException)
| Constructs a new Pickle of the node n.
Expr | fromPickle (Pickle &p)
| Constructs a node from a Pickle.

## Static Public Member Functions

static void | debugPickleTest (Expr e)

## Protected Member Functions

virtual uint64_t | variableToMap (uint64_t x) const throw (PicklingException)
virtual uint64_t | variableFromMap (uint64_t x) const

## Friends

class | PicklerPrivate

## Detailed Description

Definition at line 61 of file pickler.h.

## Constructor & Destructor Documentation

## Pickler()

CVC4::expr::pickle::Pickler::Pickler | ( | ExprManager * | em | ) |

## ~Pickler()

CVC4::expr::pickle::Pickler::~Pickler | ( |  | ) |

## Member Function Documentation

## debugPickleTest()

static void CVC4::expr::pickle::Pickler::debugPickleTest | ( | Expr | e | ) |

static

## fromPickle()

Expr CVC4::expr::pickle::Pickler::fromPickle | ( | Pickle & | p | ) |

Constructs a node from a Pickle.

This destroys the contents of the Pickle. The node is created in the NodeManager getNM(); TODO: Fix comment

## toPickle()

void CVC4::expr::pickle::Pickler::toPickle | ( | Expr | e,
|  | Pickle & | p )
throw | ( | PicklingException ) |  |  |

Constructs a new Pickle of the node n.

n must be a node allocated in the node manager specified at initialization time. The new pickle has variables mapped using the VariableIDMap provided at initialization. TODO: Fix comment

Returns
  the pickle, which should be dispose()'d when you're done with it

## variableFromMap()

virtual uint64_t CVC4::expr::pickle::Pickler::variableFromMap | ( | uint64_t | x | ) | const

inlineprotectedvirtual

Reimplemented in CVC4::expr::pickle::MapPickler.

Definition at line 71 of file pickler.h.

## variableToMap()

virtual uint64_t CVC4::expr::pickle::Pickler::variableToMap | ( | uint64_t | x | ) | const
throw | ( | PicklingException ) |  |  |

inlineprotectedvirtual

Reimplemented in CVC4::expr::pickle::MapPickler.

Definition at line 67 of file pickler.h.

## Friends And Related Symbol Documentation

## PicklerPrivate

friend class PicklerPrivate

friend

Definition at line 64 of file pickler.h.

The documentation for this class was generated from the following file:

- src/expr/pickler.h